Bug 137133 - /usr/bin/update-gdk-pixbuf-loaders missing from libwmf package
/usr/bin/update-gdk-pixbuf-loaders missing from libwmf package
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: libwmf (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-25 18:52 EDT by Graydon Saunders
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-26 19:14:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Graydon Saunders 2004-10-25 18:52:40 EDT
Description of problem: 
 
[root@grithr ~]# rpm -Uvh /home/graydon/libwmf-0.2.8.3-5.i386.rpm 
warning: /home/graydon/libwmf-0.2.8.3-5.i386.rpm: V3 DSA signature: 
NOKEY, key ID 4f2a6fd2 
error: Failed dependencies: 
        /usr/bin/update-gdk-pixbuf-loaders is needed by 
libwmf-0.2.8.3-5.i386 
 
The librsvg2 and gimp packages also have dependencies 
on /usr/bin/update-gdk-pixbuf-loaders. 
 
Googling indicates that it used to be in libwmf. 
 
Version-Release number of selected component (if applicable): 
0.2.8.3-5 
 
How reproducible: 
 
Always 
 
Steps to Reproduce: 
1. get the libwmf rpm 
2. rpm -Uvh <rpm> 
3. observe the error message 
   
Actual results: 
Package fails to install; gimp, libsrvg can't be installed. 
 
Expected results: 
package installs 
 
Additional info:
Comment 1 Caolan McNamara 2004-10-26 05:43:18 EDT
update-gdk-pixbuf-loaders belongs to the gtk2 rpm 
http://www.redhat.com/archives/fedora-devel-list/2004-June/msg00987.html

So for libwmf...

> rpm -qRp libwmf-0.2.8.3-5.i386.rpm
lists
/usr/bin/update-gdk-pixbuf-loaders
and
gtk2 >= 2.4.1-2
as its requirements

You not have a /usr/bin/update-gdk-pixbuf-loaders according to the
error. So...

for me rpm -qf /usr/bin/update-gdk-pixbuf-loaders reports that the
program exists and that it belongs to gtk2

what version of gtk2 do you have, mine is the FC3 gtk2-2.4.13-3. Maybe
you have an old gtk2 and the Requires for gtk is too old, or something
has caused the disappearance, lack of creation of
update-gdk-pixbuf-loaders. Is there anything non-standard about your
system which would explain this
Comment 2 Graydon Saunders 2004-10-26 19:14:23 EDT
[root@grithr ~]# rpm -q gtk2
gtk2-2.4.13-3

[root@grithr ~]# rpm -q libwmf
libwmf-0.2.8.3-5

When I tried it just now, libwmf installed.

Don't think I changed anything; possibly an overnight database update
of some sort took place.

Note You need to log in before you can comment on or make changes to this bug.